function GetMinimapShape() return "SQUARE" end
Minimap:SetMaskTexture"Interface\\AddOns\\hexeMap\\media\\mask.blp"

---------------------------------------------------------------------------

local frames = {
   MinimapZoomIn,
   MinimapZoomOut,
   MinimapToggleButton,
   MinimapBorderTop,
   MiniMapWorldMapButton,
   MinimapBorder,
   MinimapZoneText,
}

for _, frame in pairs(frames) do
   frame:Hide()
end
frames = nil

MinimapNorthTag:SetAlpha(0)

---------------------------------------------------------------------------
--[from BasicMinimap]------------------------------------------------------
---------------------------------------------------------------------------
GameTimeFrame:Hide()
GameTimeFrame:UnregisterAllEvents()
GameTimeFrame.Show = kill

MiniMapTracking:Hide()
MiniMapTracking.Show = kill
MiniMapTracking:UnregisterAllEvents()

Minimap:SetScript("OnMouseUp", function(self, btn)
	if btn == "MiddleButton" then
		_G.GameTimeFrame:Click()
	elseif btn == "RightButton" then
		_G.ToggleDropDownMenu(1, nil, _G.MiniMapTrackingDropDown, self)
	else
		_G.Minimap_OnClick(self)
	end
end)
---------------------------------------------------------------------------

Minimap:SetBlipTexture"Interface\\AddOns\\hexeMap\\media\\track"

MiniMapLFGFrameBorder:Hide()
MiniMapLFGFrame:ClearAllPoints()
MiniMapLFGFrame:SetPoint("BOTTOMLEFT", Minimap, -5, -5)

MiniMapInstanceDifficulty:SetScale(0.65)
MiniMapInstanceDifficulty:SetFrameStrata("TOOLTIP")
MiniMapInstanceDifficulty:ClearAllPoints()
MiniMapInstanceDifficulty:SetPoint("BOTTOMLEFT", Minimap, "BOTTOMLEFT", 0, -8)

MiniMapBattlefieldBorder:Hide()
MiniMapBattlefieldFrame:ClearAllPoints()
MiniMapBattlefieldFrame:SetPoint("TOPRIGHT", Minimap, 0, -3)

MiniMapMailFrame:ClearAllPoints()
MiniMapMailFrame:SetPoint("TOP",Minimap, 0, 2)
MiniMapMailFrame:SetScale(1.5)
MiniMapMailBorder:Hide()
MiniMapMailIcon:SetTexture"Interface\\AddOns\\hexeMap\\media\\mail"

---------------------------------------------------------------------------
--[from pMinimap]----------------------------------------------------------
---------------------------------------------------------------------------
Minimap:EnableMouseWheel()
Minimap:SetScript('OnMouseWheel', function(self, direction)
	if(direction > 0) then
		MinimapZoomIn:Click()
	else
		MinimapZoomOut:Click()
	end
end)
---------------------------------------------------------------------------

local smap = CreateFrame("Frame")
smap:SetParent(Minimap)
smap:ClearAllPoints()
smap:SetPoint("CENTER",Minimap,0,0)
smap:SetWidth(172)
smap:SetHeight(172)
smap:SetFrameLevel(2)

local square = smap:CreateTexture(nil,"BACKGROUND")
square:SetTexture("Interface\\AddOns\\hexeMap\\media\\square")
square:SetAllPoints(smap)
square:SetAlpha(0.9)

local cc = RAID_CLASS_COLORS[select(2,UnitClass'player')]
square:SetVertexColor(cc.r, cc.g, cc.b)
square:SetAlpha(1)

Minimap:ClearAllPoints()
Minimap:SetPoint('TOPRIGHT', UIParent, 'TOPRIGHT', -15, -15)
Minimap:SetScale(0.75)